#ifndef GENERIC_VIDICON_H
#define GENERIC_VIDICON_H
#include "vidicon.h"
#include "vidicon_properties.h"

namespace zsy
{
    class GenericVidicon : public Vidicon
    {
        VidiconProperties config;

    public:
        ~GenericVidicon() override;

        GenericVidicon(const VidiconProperties &config);

        std::shared_ptr<std::istream> read(const std::string &photographPath);

        void remove(const std::string &photographPath);

        std::shared_ptr<std::istream> photograph() override;
    };
} // zsy

#endif //GENERIC_VIDICON_H
